% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/confusionmatrix.r
\name{confusion.matrix}
\alias{confusion.matrix}
\title{Calculation of the Confusion Matrix}
\usage{
confusion.matrix(true.values, predicted.values, positive = 1)
}
\arguments{
\item{true.values}{correct labels of data (1-2)}

\item{predicted.values}{predicted values of labes, returned by classifier}

\item{positive}{An optional character string for the factor level that corresponds to a "positive" result}
}
\value{
the confution matrix
}
\description{
Calculates the the Confusion Matrix
}
\examples{
true.values <- sample(0:1, 1000, replace=TRUE, prob=c(0.5, 0.5))
predicted.values <- sample(0:1, 1000, replace=TRUE, prob=c(0.5, 0.5))
confusion.matrix( true.values, predicted.values )

}
\references{
\url{https://en.wikipedia.org/wiki/Confusion_matrix}
}
\seealso{
\code{\link[MLmetrics]{ConfusionMatrix}}
}
\author{
Aleksander Denisiuk, \email{denisiuk@matman.uwm.edu.pl}
}
\keyword{confusion}
\keyword{matrix}
