% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/f1score.r
\name{f1score}
\alias{f1score}
\title{Calculation of the F1 Score}
\usage{
f1score(true.values, predicted.values, positive = 1)
}
\arguments{
\item{true.values}{correct labels of data (1-2)}

\item{predicted.values}{predicted values of labes, returned by classifier}

\item{positive}{An optional character string for the factor level that corresponds to a "positive" result}
}
\value{
the correspondent f1score value
}
\description{
Calculates the value of F1 Score
}
\examples{
data(cars)
logreg <- glm(formula = vs ~ hp + wt,
family = binomial(link = "logit"), data = mtcars)
pred <- ifelse(logreg$fitted.values < 0.5, 1, 2)
f1score(true.values = mtcars$vs, predicted.values = pred, positive = 1)
f1score(true.values = mtcars$vs, predicted.values = pred, positive = 2)

}
\references{
\url{https://en.wikipedia.org/wiki/F-score}
}
\seealso{
\code{\link[MLmetrics]{F1_Score}}
}
\author{
Aleksander Denisiuk, \email{denisiuk@matman.uwm.edu.pl}
}
\keyword{f1score}
