#' Calculation of the Confusion Matrix
#'
#' Calculates the the Confusion Matrix
#'
#' @param true.valules the true classes
#' @param predicted.value the predicted classes
#'
#' @return the confution matrix
#'
#' @examples
#' confusion.matrix( true, predicted )
#'
#' @export

confusion.matrix <- function( true.values, predicted.values){
   true.positive <- sum ( true.values==1 & predicted.values==1)
   true.negative <- sum ( true.values==2 & predicted.values==2)
   false.positive <- sum ( true.values==2 & predicted.values==1)
   false.negative <- sum ( true.values==1 & predicted.values==2)
   matrix( c(true.positive, false.negative, false.positive, true.negative), ncol=2, 
    dimnames = list(c("actual.positive", "actual.negative"),
                     c("predicted.positive", "predicted.negative")),
    byrow = TRUE
         )

}

