#' Calculation of the F1 Score
#'
#' Calculates the value of F1 Score
#'
#' @param precision the value of precision
#' @param recall the value of recall
#'
#' @return the correspondent f1score value
#'
#' @examples
#' f1score( precision, recall )
#'
#' @author Aleksander Denisiuk, \email{denisiuk@@matman.uwm.edu.pl}
#' @references \url{https://en.wikipedia.org/wiki/F-score}
#' @seealso \code{\link{MLmetrics}}
#' @keywords f1score
#'
#' @export

f1score <- function( precision, recall){
   2*(precision*recall)/(precision+recall)
}
